summaryrefslogtreecommitdiffstats
path: root/perl/perl-File-HomeDir
diff options
context:
space:
mode:
Diffstat (limited to 'perl/perl-File-HomeDir')
-rw-r--r--perl/perl-File-HomeDir/README10
-rw-r--r--perl/perl-File-HomeDir/perl-File-HomeDir.SlackBuild66
-rw-r--r--perl/perl-File-HomeDir/perl-File-HomeDir.info10
-rw-r--r--perl/perl-File-HomeDir/slack-desc19
4 files changed, 105 insertions, 0 deletions
diff --git a/perl/perl-File-HomeDir/README b/perl/perl-File-HomeDir/README
new file mode 100644
index 0000000000..339f00f5c6
--- /dev/null
+++ b/perl/perl-File-HomeDir/README
@@ -0,0 +1,10 @@
+File::HomeDir is a module for locating the directories that are
+"owned" by a user (typicaly your user) and to solve the various
+issues that arise trying to find them consistently across a wide
+variety of platforms.
+
+The end result is a single API that can find your resources on any
+platform, making it relatively trivial to create Perl software that
+works elegantly and correctly no matter where you run it.
+
+This requires perl-File-Which.
diff --git a/perl/perl-File-HomeDir/perl-File-HomeDir.SlackBuild b/perl/perl-File-HomeDir/perl-File-HomeDir.SlackBuild
new file mode 100644
index 0000000000..4c9786fb3c
--- /dev/null
+++ b/perl/perl-File-HomeDir/perl-File-HomeDir.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for File-HomeDir
+
+# Written by Mikko Värri (vmj@linuxbox.fi)
+# Public domain.
+
+PRGNAM=perl-File-HomeDir
+VERSION=${VERSION:-0.98}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$( echo $PRGNAM | cut -d- -f2- )"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-File-HomeDir/perl-File-HomeDir.info b/perl/perl-File-HomeDir/perl-File-HomeDir.info
new file mode 100644
index 0000000000..abe29e4b0a
--- /dev/null
+++ b/perl/perl-File-HomeDir/perl-File-HomeDir.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-File-HomeDir"
+VERSION="0.98"
+HOMEPAGE="http://search.cpan.org/~adamk/File-HomeDir/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/File-HomeDir-0.98.tar.gz"
+MD5SUM="6db96f151a707894e0822c8014ae80dd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Mikko Värri"
+EMAIL="vmj@linuxbox.fi"
+APPROVED="rworkman"
diff --git a/perl/perl-File-HomeDir/slack-desc b/perl/perl-File-HomeDir/slack-desc
new file mode 100644
index 0000000000..84adf9d127
--- /dev/null
+++ b/perl/perl-File-HomeDir/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-File-HomeDir: perl-File-HomeDir (Find your home and other directories)
+perl-File-HomeDir:
+perl-File-HomeDir: File::HomeDir is a module for locating the directories that are
+perl-File-HomeDir: "owned" by a user (typicaly your user) and to solve the various
+perl-File-HomeDir: issues that arise trying to find them consistently across a wide
+perl-File-HomeDir: variety of platforms.
+perl-File-HomeDir:
+perl-File-HomeDir: The end result is a single API that can find your resources on any
+perl-File-HomeDir: platform, making it relatively trivial to create Perl software that
+perl-File-HomeDir: works elegantly and correctly no matter where you run it.
+perl-File-HomeDir: